%bcond_without check

%global goipath         github.com/skip2/go-qrcode
%global commit          da1b6568686e89143e94f980a98bc2dbd5537f13

%gometa

%global common_description %{expand:
QR Code encoder (Go).}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        QR Code encoder (Go)

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Patch0001:      https://patch-diff.githubusercontent.com/raw/skip2/go-qrcode/pull/53.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P 0001 -p1

%build
for cmd in qrcode; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.gitda1b656
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
